% rebase('frame.tpl')
<!--Content-->
    <div class="pages">

        <div class="textbox fact"> 
            <center><h1>blessfrey </h1>
            (Presskit available as a <a href="/download/blessfrey_chimchooree_presskit.pdf">PDF</a>) </center><br>
            <hr>
            <br>
            <h2>Fact Sheet </h2>
            <ul>
                <li><b>Description:</b> Build synergies across your skillbar and teammates to explore the dungeon under the local shopping center.</li>
                <li><b>Developer:</b> chimchooree, US indie dev</li>
                <li><b>Genre:</b> Singleplayer Action RPG</li>
                <li><b>Release Date:</b> Spring 2030</li>
                <li><b>Platforms:</b> Linux, Windows, possibly more</li>
                <li><b>Engine:</b> Godot Engine</li>
                <li><b>Website:</b> blessfrey.me</li>
                <li><b>Contact + Social:</b> Email: chimchooree<span style="display: none;">OBFUSCATION</span>@mail.com, <a href="https://twitter.com/lilchimchooree" rel="nofollow">Twitter: @lilchimchooree</a></li>
            </ul><br>
        </div>

        <div class="textbox desc">
            <h2>Description </h2>
            <br>
            Blessfrey is the first commercial game in development by US-based indie game developer chimchooree. <br>
<br>
            Blessfrey is a 2D action RPG set in a rural town riddled with secret tunnels and dungeons. The multiclass and skill system emphasizes player skill, personal expression, and exploration. Delve deeper under the town by discovering new skills, building synergies within your skillbar, and recruiting AI teammates. <br>
<br>
        </div>

        <div class="textbox features"> 
            <h2>Features </h2>
            <ul>
                <li>Try tens of possible dual-class combinations</li>
                <li>Experiment with hundreds of possible skillbar combinations</li>
                <li>Freely relocate skill points and swap out skills in safe areas. Few class progression decisions are permanent. </li>
                <li>Learn new skills through exploration and gameplay</li>
                <li>Explore an underground world</li>
            </ul><br>
        </div>

        <div class="textbox dev">
            <h2>Developer </h2>
            <br>
            chimchooree is learning to code through making her dream game, automating the boring stuff, and taking online classes. See some of her pubic code on <a href="https://gitlab.com/chimchooree">GitLab</a> and some of her design process on her <a href="diary.php">blog</a> and on <a href="https://twitter.com/lilchimchooree">Twitter</a>. <br>
<br>
            Her most complex projects are blessfrey, a 2D action RPG written in Godot Engine's GDScript and Cat Store, a text-based cat show and breeding sim written in Java using IntelliJ. <br>
        </div>

        <!--<div class="textbox videos"> </div>-->

        <div class="textbox graphics">
            <h2>Graphics</h2>
            <br><center>
            <br>
            <a target="_blank" href="/static/img/ent/blessfrey.png">
                <img src="/static/img/ent/blessfrey.png" alt="image: blessfrey screenshot: Angel in front of the Mock School" width="700" height="525"> 
            </a><br>
            <br>
            <a target="_blank" href="/static/img/ent/screenshot_June292019.png">
                <img src="/static/img/ent/screenshot_June292019.png" alt="(image: Lots of Angels and other characters at a shopping center)" width="700" height="524">
            </a><br>
            <br>
            <a target="_blank" href="/static/img/ent/screenshot_July252020.png">
                <img src="/static/img/ent/screenshot_July252020.png" alt="(image: Angel and some slimes in a cavern)" width="700" height="393">
            </a><br>


            </center>
        </div>

        <div class="textbox contact">
            <h2>Contact</h2>
            <br>
            Please email me at chimchooree<span style="display: none;">OBFUSCATION</span>@mail.com or message me on <a href="https://twitter.com/lilchimchooree" rel="nofollow">Twitter @lilchimchooree</a>.
        </div>

        <div class="textbox credits">
            <h2>Credits</h2>
            <ul>
            <li>Code, Art, Design: chimchooree</li>
            <li>Engine: Godot Engine</li>
            <li><a href="/credits" rel="nofollow">Full Credits</a></li>
            </ul><br>
        </div>

        <div class="textbox permissions">
            <h2>Permission</h2>
            <br>
            Freely use all of the content on this page, even for commercial use, at your own risk. <br>
        </div>
    </div>

    <div class="footer-row"> </div>

