% rebase('frame.tpl')
% import re
    <div class="dir-row"> </div>
    <div class="diary-dir top">
    <center>
        % max_pages = int((total - 1) / limit)
<%
        # page never below 0
        if page <= 0:
            page = 0
        end
        # page never over maximum
        if page > max_pages:
            page = max_pages
        end 
%>
        % # << is always active link pointing to 0
        <a href=/diary/0 rel="nofollow">&lt;&lt;</a>

        % # < points to 0 if page 0 or below
        % if page <= 0:
            <a href=/diary/0 rel="nofollow">&lt;</a>
        % # < points to previous page otherwise
        % else:
            <a href=/diary/{{page - 1}} rel="nofollow">&lt;</a>
        % end

        % # fill out number cluster to the left when page is high
        % if max_pages > cluster and page > max_pages - cluster:
            % for j in range(cluster - max_pages + page):
                <a href=/diary/{{max_pages - cluster * 2 + j}} rel="nofollow">{{max_pages - cluster * 2 + j}}</a>
            % end
        % end

        % # form cluster of number links around page
        % for i in range(max(0,page - cluster), min(max_pages + 1,page + cluster + 1)):
            % # bold current page number
            % if i == page:
                <b>{{i}}</b>
            % # form neighboring numbers into links
            % else:
                <a href=/diary/{{i}} rel="nofollow">{{i}}</a>
            % end
        % end

        % # fill out number cluster to the right when page is low
        % if page <= cluster - 1 and max_pages > page + cluster:
            % for j in range(cluster - page):
                <a href=/diary/{{page + j + cluster + 1}} rel="nofollow">{{page + j + cluster + 1}}</a>
            % end
        % end

        % # > points to max if page is at or above maximum
        % if page >= max_pages:
            <a href=/diary/{{max_pages}} rel="nofollow">&gt;</a>
        % # > point to next page otherwise
        % else:
            <a href=/diary/{{page + 1}} rel="nofollow">&gt;</a>
        % end

        % # >> is always active link to maximum page
        <a href=/diary/{{max_pages}} rel="nofollow">&gt;&gt;</a>
    </center>
    </div>

<!--left column-->

    <div class="diary-pages">
        % for s in snippets[page * limit:page * limit + limit]:
            <div class="snippet">
                <div class="snippet-title">
                    <a href={{s[3]}} rel="nofollow"><h1>{{!s[0]}}</h1></a>
                </div>
                <div class="snippet-content">
                    {{!s[1]}}
                </div>
                <div class="snippet-info">
                    <b>{{!s[2]}} 
                    • <a class="social-link social-twitter" 
                        href='http://twitter.com/share?text={{s[4]}}
                        &url=https://blessfrey.me{{s[3]}}&via=lilchimchooree' 
                        target="_blank">tweet</a> 
                    • <a class="social-link social-fb" 
                        href='http://www.facebook.com/share.php?u={{s[3]}}'>facebook</a> 
                    % message = "Hey,+check+out+this+post:+" + s[1] + ".,+" + s[3]
                    % message = message.replace('+','\+')
                    % message = re.sub('\s+?','+', message)
                    % message = message.replace('\\','')
                    % message = re.sub('<.*?>','', message)
                    • <a class="social-link social-email" href='mailto:?body={{message}}'>email</a></b>
                </div>
                <div class="snippet-link">
                    <a href={{s[3]}} rel="nofollow"><b>read more</b></a>
                </div>
            </div>
        % end
    </div>
    <div class="diary-dir bottom">
    <center>
        % max_pages = int((total - 1) / limit)
<%
        # page never below 0
        if page <= 0:
            page = 0
        end
        # page never over maximum
        if page > max_pages:
            page = max_pages
        end 
%>
        % # << is always active link pointing to 0
        <a href=/diary/0 rel="nofollow">&lt;&lt;</a>

        % # < points to 0 if page 0 or below
        % if page <= 0:
            <a href=/diary/0 rel="nofollow">&lt;</a>
        % # < points to previous page otherwise
        % else:
            <a href=/diary/{{page - 1}} rel="nofollow">&lt;</a>
        % end

        % # fill out number cluster to the left when page is high
        % if max_pages > cluster and page > max_pages - cluster:
            % for j in range(cluster - max_pages + page):
                <a href=/diary/{{max_pages - cluster * 2 + j}} 
                    rel="nofollow">{{max_pages - cluster * 2 + j}}</a>
            % end
        % end

        % # form cluster of number links around page
        % for i in range(max(0,page - cluster), min(max_pages + 1,page + cluster + 1)):
            % # bold current page number
            % if i == page:
                <b>{{i}}</b>
            % # form neighboring numbers into links
            % else:
                <a href=/diary/{{i}} rel="nofollow">{{i}}</a>
            % end
        % end

        % # fill out number cluster to the right when page is low
        % if page <= cluster - 1 and max_pages > page + cluster:
            % for j in range(cluster - page):
                <a href=/diary/{{page + j + cluster + 1}} 
                    rel="nofollow">{{page + j + cluster + 1}}</a>
            % end
        % end

        % # > points to max if page is at or above maximum
        % if page >= max_pages:
            <a href=/diary/{{max_pages}} rel="nofollow">&gt;</a>
        % # > point to next page otherwise
        % else:
            <a href=/diary/{{page + 1}} rel="nofollow">&gt;</a>
        % end

        % # >> is always active link to maximum page
        <a href=/diary/{{max_pages}} rel="nofollow">&gt;&gt;</a>
    </center>
    </div>
% include diary-boxes.tpl
