% rebase('frame.tpl')
<!--Content-->
    <div class="pages">
        <div class="textbox desc">
            Blessfrey is an action rpg made in Godot Engine. Follow its development on Twitter <a href="https://twitter.com/lilchimchooree" rel="nofollow">@lilchimchooree</a><br>
        </div>
        <div class="textbox story">
            <h1>Story</h1><br>
            <br>
            The main character suddenly transfers to a rural foreign town at the end of the year.<br>
            Her uncle is nowhere to be found, so she's left to her own devices for the summer.<br>
            <br>
            <br>
            Her classmates let her in on the rumor that the local shopping center is haunted at night, with strange lights and noises. <br>
            On a dare haunted sleepover, she discovers that the mall fills with slimes at night, bubbling up from secret tunnels underneath the stores. <br>
            <br>
            <br>
            But there's more than slimes beneath the city. There's a whole secret world down there. <br>
            <br>
        </div>
        <div class="textbox characters">
            <h1>Characters</h1><br>
            <br>
            <h2>Main Characters</h2><br>
            Helia - the main character. They don't have as strong a culture of self-defense where she comes from, so she has to pick her specializations at the start of the game. <br>
            Angel - the first character you meet. She's really tall but easily pushed around. She specializes in heavy swords + computers. <br>
            Tessa - a silly girl that can take jokes too far. She's half-French but has a better grade in Spanish than French class. She specializes in hand-to-hand combat and pets. <br>
            Chloe - the orphan girl who lives in the church. She wants to make other people happy and will never confront someone. She specializes in performing miracles. <br> 
            Aries - Angel's twin brother. He's quick to make decisions + act on them, but can be too assertive. He specializes in ranged weapons + short swords. <br>
            Night - the local apothecary. He's high-school-aged, too, but already completed a clinical residency. He specializes in poisons + daggers. <br>
            Rune - a mysterious horned boy found living under the town. He's generally clueless about everything and can barely speak English. <br>
            <br>
            <h2>Side Character </h2>
        </div>
        <div class="textbox system">
            <h1>System</h1><br>
            <br>
            In this build-based RPG, you explore the depths of the downtown dungeon with your customizable AI teammates.<br>
            <br>
            <h2>Socialize</h2><br>
                During the adventure, your conversations with characters that will affect how they view you.<br>
<br>
                In conversations, you select dialogue choices that will affect your relationship with characters and influence future events. <br>
<br>
                CG illustrations will highlight particular moments in the story.<br>
                <br><br>
                
            <h2>Learn</h2><br>
                Unlock skills through gameplay. Meeting characters, reaching areas, fighting masses of the same enemy type, consuming items, and other mechanics will contribute to new skills learned. <br>
            <br>
                Each skill has different routes for unlocking, so they will be available regardless of playstyle. <br>
            <br>
                Your experiences will also unlock more detailed UI information.<br>
            <br>
<br>

            <h2>Build</h2><br>
                Your dual class will determine the skills available to you. You choose your first class at start, but you will unlock more classes to use as your second class. <br>
<br>
                Your skillbar only has 8 slots and can only hold 1 elite skill. Experiment and plan ahead to find skill synergies and build strategies. You can also change the dual classes and skillbars of your teammates.<br>
<br>
                Pump your stat points into stats to increase the effectiveness of their associated skills. Gain stat points through story progression and level ups. <br>
<br>
                Your second class, stat points, and skillbar can be freely changed in safe areas and are never unlearned or replaced.<br>
<br>
<br>

            <h2>Battle</h2><br>
                In this action rpg, you and your teammares will battle foes using default weapon attacks and skills from your skillbars. <br>
<br>
                Weapons have different attack rates, ranges, and possible damage.<br>
<br>
                Skills give specific effects according to their rules. They generally have an energy cost, an activation time, a cooldown time, and a target. Their powers range from dealing or healing damage, inflicting various conditions, interrupting opposing skills, and other abilities that are in-line with their associated class. <br>
<br>
                Foes use the same dual class, skillbar build system, so you must not only learn how to use your skills but to defend against them.<br>
            <br><br>

        </div>
        <div class="textbox graphics">
            <h1>Graphics</h1>
            <br><center>
            <a target="_blank" href="https://i.imgur.com/1MLHsuV.png">
                <img src="https://i.imgur.com/1MLHsuV.png" alt="in-engine screenshot of the schoolyard" width="200" height="156">
            </a>
            <a target="_blank" href="https://i.imgur.com/aIyPuO7.png">
                <img src="https://i.imgur.com/aIyPuO7.png" alt="character concept art of Angel, Chloe, and Tessa" width="200" height="156">
            </a>
            <br>
            <a target="_blank" href="https://i.imgur.com/UtuanB1.gif">
                <img src="https://i.imgur.com/UtuanB1.gif" alt="in-engine footage of pathfinding projectile" width="200" height="156">
            </a>
            <a target="_blank" href="https://i.imgur.com/9bTDe5X.png">
                <img src="https://i.imgur.com/9bTDe5X.png" alt="screenshot of the godot editor" width="200" height="156">
            </a>
            </center>
        </div>
    </div>

    <div class="footer-row"> </div>
